Skip to main content
Infrastructure/Lifecycle

GetBundle

Get current lifecycle bundle status

GET/api/v1/lifecycle/bundles/{bundleName}

Operation ID

GetBundle

Since

1.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • bundleName
    StringRequired

    Bundle name

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • bundleName
    String

    Bundle name

    Example: zcf

  • bundleVersion
    String

    Current bundle version

    Example: v1.2.2

  • status
    String

    Current bundle status

    Example: current

  • manifestSetChecksum
    String

    Checksum of current installed manifest set

    Example: value

  • components
    List

    Components that belong to this bundle

    Example: (nested array)

    • componentUuid
      String

      Component UUID

      Example: value

    • componentName
      String

      Component name

      Example: lifecycle

    • componentCategory
      String

      Component category

      Example: zcf

    • managementStatus
      String

      Bundle management status

      Example: managed

    • desiredVersion
      String

      Desired component version from managed_component

      Example: v1.2.2

    • desiredRelease
      String

      Desired component release from managed_component

      Example: 26062904

    • actualVersionStatus
      String

      Whether component instances have a consistent actual version

      Example: consistent

    • desiredMatched
      Boolean

      Whether all instances match desired version and release

      Example: true

    • healthStatus
      String

      Aggregated component instance health

      Example: healthy

    • instances
      List

      Runtime component instances

      Example: (nested array)

      • componentInstanceUuid
        String

        Component instance UUID

        Example: value

      • nodeUuid
        String

        Node UUID

        Example: value

      • lcaUuid
        String

        LCA UUID

        Example: value

      • actualVersion
        String

        Actual instance version from component_instance

        Example: v1.2.2

      • actualRelease
        String

        Actual instance release from component_instance

        Example: 26062904

      • bundleName
        String

        Bundle name reported for this instance

        Example: value

      • bundleVersion
        String

        Bundle version reported for this instance

        Example: value

      • state
        String

        Lifecycle state

        Example: Healthy

      • runtimeStatus
        String

        Runtime status

        Example: running

      • lastReportedAt
        String

        Last component report time

        Example: 2026-01-15T08:00:00Z

  • updatedAt
    String

    Last update time

    Example: 2026-01-15T08:00:00Z

  • bundleRelease
    String

    Current bundle release

    Example: 1

  • Change Time

    AddedResponse fields bundleRelease
    View API